import sys
import shutil
# -*- coding: utf-8 -*-

extension_name = "joinseqs_ext"

from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

setup(
    cmdclass = {'build_ext': build_ext},
    ext_modules = [Extension(extension_name, ["joinseqs_ext.pyx"])],
 )

if sys.platform.startswith('win'):
    outfile = extension_name + '.pyd'
else:
    outfile = extension_name + '.so'
shutil.copy(outfile, '..')
try:
    shutil.rmtree('build')
except:
    pass
